﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGrid_DataSet
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            DataSet _data = getData();

            this.ultraGrid1.DataSource = _data;
            this.ultraGrid1.DataMember = "people";
           
            this.ultraGrid2.DataSource = _data;
            this.ultraGrid2.DataMember = "patients";
         
        }
        private DataSet getData()
        {
            DataTable table0 = new DataTable("people");
            table0.Columns.Add("Name");
            table0.Columns.Add("Age");
            table0.Rows.Add("sam", 20);
            table0.Rows.Add("mark", 22);

            // Create 2 DataTable instances.
            DataTable table1 = new DataTable("patients");
            table1.Columns.Add("name");
            table1.Columns.Add("id");
            table1.Rows.Add("sam", 1);
            table1.Rows.Add("mark", 2);

            DataTable table2 = new DataTable("medications");
            table2.Columns.Add("id");
            table2.Columns.Add("medication");
            table2.Rows.Add(1, "atenolol");
            table2.Rows.Add(2, "amoxicillin");            
          

            // Create a DataSet and put the tables in it.
            DataSet set = new DataSet("office");
            set.Tables.Add(table0);
            set.Tables.Add(table1);
            set.Tables.Add(table2);

            DataRelation rel = new DataRelation("1", table1.Columns["id"], table2.Columns["id"]);
            set.Relations.Add(rel);

            return set;
        }
       
    }
}
